Rygel.DescriptionFile.save – librygel-core Reference Manual

# save

## Description:

public void save (`string` path) throws `Error`

Writes the current document to a file.

It makes sure that the resulting file has the correct UTF-8 encoding and does not have any kind of newlines. This is necessary as some devices with broken XML parsers can't cope with UNIX newlines. If a file with the same name exists it will be overwritten.

## Parameters:

path | is a path to a file.

## Exceptions:

GLib.Error | if anything fails while creating the XML dump.